Start deep research
Start a deep research job with a prompt and JSON Schema. The response includes an operation ID and poll URL for retrieving the structured result.
POST
/
api
/
deep-research
Start deep research
curl --request POST \
--url https://developer.thehog.ai/api/deep-research \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"prompt": "Research AI CRM competitors",
"schema": {
"type": "object",
"properties": {
"competitors": {
"type": "array"
}
}
},
"model": "<string>",
"urls": [
"<string>"
],
"inputAnchors": [
{
"input_anchor": {
"candidate_index": 1
}
}
],
"maxCredits": 123,
"budget": {
"maxCredits": 123
},
"enrich": true,
"confirm": true
}
'const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
prompt: 'Research AI CRM competitors',
schema: {type: 'object', properties: {competitors: {type: 'array'}}},
model: '<string>',
urls: ['<string>'],
inputAnchors: [{input_anchor: {candidate_index: 1}}],
maxCredits: 123,
budget: {maxCredits: 123},
enrich: true,
confirm: true
})
};
fetch('https://developer.thehog.ai/api/deep-research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/deep-research"
payload = {
"prompt": "Research AI CRM competitors",
"schema": {
"type": "object",
"properties": { "competitors": { "type": "array" } }
},
"model": "<string>",
"urls": ["<string>"],
"inputAnchors": [{ "input_anchor": { "candidate_index": 1 } }],
"maxCredits": 123,
"budget": { "maxCredits": 123 },
"enrich": True,
"confirm": True
}
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"operationId": "<string>",
"status": "queued",
"pollUrl": "<string>",
"meta": {
"schemaContract": {}
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b",
"errors": [
{
"property": "body.query",
"message": "query must be a string",
"constraints": {
"isString": "query must be a string"
}
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Insufficient credits.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}POST /api/deep-research
Start an async LLM research job with a prompt and JSON Schema.Kicks off an LLM-powered research job that browses the web and returns structured data conforming to your JSON Schema. Always async — returns
202 Accepted with an operation ID.
Example
curl -X POST https://developer.thehog.ai/api/deep-research \
-H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
-H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx" \
-H "Content-Type: application/json" \
-d '{"prompt": "Research AI CRM competitors", "schema": {"type": "object", "properties": {"competitors": {"type": "array"}}}}'
Authorizations
Headers
Body
application/json
⌘I
Start deep research
curl --request POST \
--url https://developer.thehog.ai/api/deep-research \
--header 'Content-Type: application/json' \
--header 'X-Access-Key: <api-key>' \
--header 'X-Secret-Key: <api-key>' \
--data '
{
"prompt": "Research AI CRM competitors",
"schema": {
"type": "object",
"properties": {
"competitors": {
"type": "array"
}
}
},
"model": "<string>",
"urls": [
"<string>"
],
"inputAnchors": [
{
"input_anchor": {
"candidate_index": 1
}
}
],
"maxCredits": 123,
"budget": {
"maxCredits": 123
},
"enrich": true,
"confirm": true
}
'const options = {
method: 'POST',
headers: {
'X-Access-Key': '<api-key>',
'X-Secret-Key': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
prompt: 'Research AI CRM competitors',
schema: {type: 'object', properties: {competitors: {type: 'array'}}},
model: '<string>',
urls: ['<string>'],
inputAnchors: [{input_anchor: {candidate_index: 1}}],
maxCredits: 123,
budget: {maxCredits: 123},
enrich: true,
confirm: true
})
};
fetch('https://developer.thehog.ai/api/deep-research', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://developer.thehog.ai/api/deep-research"
payload = {
"prompt": "Research AI CRM competitors",
"schema": {
"type": "object",
"properties": { "competitors": { "type": "array" } }
},
"model": "<string>",
"urls": ["<string>"],
"inputAnchors": [{ "input_anchor": { "candidate_index": 1 } }],
"maxCredits": 123,
"budget": { "maxCredits": 123 },
"enrich": True,
"confirm": True
}
headers = {
"X-Access-Key": "<api-key>",
"X-Secret-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"id": "<string>",
"operationId": "<string>",
"status": "queued",
"pollUrl": "<string>",
"meta": {
"schemaContract": {}
}
}{
"statusCode": 400,
"error": "Bad Request",
"message": "Validation failed",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b",
"errors": [
{
"property": "body.query",
"message": "query must be a string",
"constraints": {
"isString": "query must be a string"
}
}
]
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Authentication is required.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Insufficient credits.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}{
"statusCode": 500,
"error": "Internal Server Error",
"message": "An unexpected error occurred.",
"path": "/api/v1/search",
"timestamp": "2026-05-21T09:08:10.000Z",
"requestId": "506af9b3-01a9-43be-9eb4-8458fe3e4f5b"
}